<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.css">
    <style>
        button {
            margin: 5px;
            border-radius: 10px;
        }
    </style>
</head>

<body>
    <div class="container">
        <h1>Metodos para manipular nodos del DOM con jQuery</h1>

        <ul>
            <li>Primer item</li>
            <li>Segundo item</li>
            <li>Tercer item</li>
            <li>Cuarto item</li>
        </ul>

        <button class="eliminar">Eliminar la lista completa</button>
        <button class="restaurar">Restaurar lista</button>
        <button class="añadir2">Añadir un elemento al final de la lista</button>
        <button class="añadir1">Añadir un elemento al principio de la lista</button>
        <button class="borrar2">Eliminar el ultimo elemento</button>
        <button class="borrar1">Eliminar el primer elemento</button>
        <button class="borrar3">Eliminar el primer y segundo elemento</button>
        <button class="borrar4">Eliminar los dos ultimos</button>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $('.eliminar').click(function () {
            $('ul').empty();
        });

        $('.restaurar').click(function () {
            $('ul').html("<li>Primer item</li><li>Segundo item</li><li>Tercer item</li><li>Cuarto item</li>");
        });

        $('.añadir2').click(function () {
            $('ul').append('<li>Elemento añadido al final</li>');
        });

        $('.añadir1').click(function () {
            $('ul').prepend('<li>Elemento añadido al principio</li>');
        });

        $('.borrar2').click(function () {
            $('li:last').remove();
        });

        $('.borrar1').click(function () {
            $('li:first').remove();
        });

        $('.borrar3').click(function () {
            /*$('li:first').remove();
            $('li:first').remove();*/
            let x = $('li');
            x = x.slice(0, 2);
            x.remove();
        });

        $('.borrar4').click(function () {
            /*$('li:last').remove();
            $('li:last').remove();*/
            let x = $('li');
            x = x.slice(-2);
            x.remove();
        });

    </script>
</body>

</html>